<h3 style="color: #384158; font-weight: normal; font-size: 18px; text-align: center;">GIGA FINANCIAL SERVICES (GFS) – REGISTRATION FORM</h3>

<div style="max-width: 900px; margin: auto;">

  <%= form_for @gfs_reg, url: gfs_registrations_path() do |f| %>
    <%= f.error_messages %>

    <div style="padding: 5px; padding-bottom: 15px;">
      <span style="color: red">*</span><%= f.label :Required %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :name, "Name "%>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :name, autofocus: true %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :date_of_birth, "Date of birth" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.date_field :date_of_birth%>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :state, "State" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :state %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :city, "City" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :city %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :email, "Email Id" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.email_field :email%>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :mobile, "Mobile" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :mobile %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :phone, "Phone no" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :phone %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :martial_status, "Marital status"%>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :martial_status %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :dependents, "No. of Dependents" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :dependents %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :citizen, "Citizen" %>
    </div>
    <div style="line-height: 2" id='citizen_other_radios'>
      <label>
        <%= f.radio_button :citizen, 'india' %>
        India
      </label>
      <br />  
      <label>
        <%= f.radio_button :citizen, 'others' %>
        Others
      </label>
      <br />
      <div id='citizen_others_container' style="display: none;" class="gfs_reg_input">
        <%= text_field_tag :citizen_others %>
      </div>
    </div><br />

    <div class="gfs_reg_label">
      <%= f.label :pan, "Pan" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :pan %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :employment_detail, "Employment Details" %>
    </div>
    <div style="line-height: 2" id='employment_detail_radios'>
      <label>
        <%= f.radio_button :employment_detail, 'Salaried'%>
        Salaried
      </label>
      <br />
      <label>
        <%= f.radio_button :employment_detail, 'Self-employed-Business'%>
        Self-employed-Business
      </label>
      <br />
      <label>
        <%= f.radio_button :employment_detail, 'Self-employed professional'%>
        Self-employed professional
      </label>
      <br />
      <label>
        <%= f.radio_button :employment_detail, 'Retired'%>
        Retired
      </label>
      <br />
      <label>
        <%= f.radio_button :employment_detail, 'Housewife'%>
        Housewife
      </label>
      <br />
      <label>
        <%= f.radio_button :employment_detail, 'Student'%>
        Student
      </label>
      <br />
      <label>
        <%= f.radio_button :employment_detail, 'Other'%>
        Other
      </label>
      <div id='employment_detail_others_container' style="display: none;" class="gfs_reg_input">
      <%= text_field_tag :employment_detail_others %>
      </div>
    </div>
    <br />

    <div class="gfs_reg_label">
      <%= f.label :expirence, "Total years of experience:" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :expirence %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :income, "Gross Annual Income" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :income %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :amount, "Ticket size(Amount) you are looking for" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :amount %>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :sanction_letter_attachment, "Existing loan – Yes / No" %>
      If yes please provide the below:
      Copy of Sanction letter for each loan taken
    </div>
    <div class="gfs_reg_input">
      <%= f.file_field :sanction_letter_attachment %>
    </div>
    <div>
      <div class="gfs_reg_label">
        <%= f.label :outstanding_loan, "Outstanding Amount" %>
      </div>
      <div class="gfs_reg_input">
        <%= f.text_field :outstanding_loan %>
      </div>
      <div class="gfs_reg_label">
        <%= f.label :emi, "EMI" %>
      </div>
      <div class="gfs_reg_input">
        <%= f.text_field :emi %>
      </div>
      <div class="gfs_reg_label">
        <%= f.label :balance_tenure, "Balance tenure" %>
      </div>
      <div class="gfs_reg_input">
        <%= f.text_field :balance_tenure %>
      </div>
    </div>

    <div class="gfs_reg_label">
      <%= f.label :financial_service_intrested, "Financial service you are interested in" %>
    </div>
    <div style="line-height: 2">
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Funding for Startups and SMEs' %>
        Funding for Startups and SMEs
      </label>
      <br />
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Bill or Invoice Discounting'%>
        Bill or Invoice Discounting
      </label>
      <br />
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Equipment Loan/Lease'%>
        Equipment Loan/Lease
      </label>
      <br />
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Loan against property (LAP)'%>
        Loan against property (LAP)
      </label>
      <br />
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Educational Loan'%>
        Educational Loan
      </label>
      <br />
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Lease Rental Discounting (LRD)'%>
        Lease Rental Discounting (LRD)
      </label>
      <br />
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Debt funding ( Against alternate collateral such as Gold, LIC policies,NSC , Govt. Bonds etc)'%>
        Debt funding ( Against alternate collateral such as Gold, LIC policies,NSC , Govt. Bonds etc)
      </label>
      <br />
      <label>
        <%= f.check_box "financial_service_intrested", {name: 'gfs_registration[financial_service_intrested][]'}, 'Other (Construction, debt financing, personal loan or for family medical emergency, business loans, Investment advisory services and equity funding for exclusive projects and others)'%>
        Other (Construction, debt financing, personal loan or for family medical emergency, business loans, Investment advisory services and equity funding for exclusive projects and others)
      </label>
    </div>
    <br />

    <div class="gfs_reg_label">
      If you are looking for Funding for Startup and SME – If yes please provide the below:<br /><br />
      <%= f.label :revenue, "Revenue that your company generating:" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :revenue %>
    </div>
    <div class="gfs_reg_input">
      Send the Business plan Pitch presentation to support@career-confidence.com or attach below
      <%= f.file_field :funding_attachment %>
    </div>
    <div class="gfs_reg_label">
      <%= f.label :money_need, "How much money do you need?" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :money_need%>
    </div>
    <div class="gfs_reg_label">
      <%= f.label :itr_years, "How many years of ITR you have filed in the past?" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_field :itr_years%>
    </div>
    <div class="gfs_reg_label">
      <%= f.label :profitable, "Are you currently profitable? If not please advise when will you be profitable?" %>
    </div>
    <div class="gfs_reg_input">
      <%= f.text_area :profitable %>
    </div>

    <div style="padding: 5px; line-height: 2">
      <%= f.label :references, "Refere a Friend or Relative" %><br />
      Name: <br />
      Phone Mobile:<br />
      E mail:<br />
    </div>
    <div class="gfs_reg_input">
      <%= f.text_area :references %>
    </div>

    <div class="gfs_reg_label">
      GiGa Financial Services (GFS) <%= link_to "Terms and Conditions", gfs_terms_gfs_registrations_path %> (T&C):
    </div>
    <div>
        <%= f.radio_button :terms_conditions, 'I hereby read and agree the terms and conditions mentioned above' %>
        I hereby read and agree the terms and conditions mentioned above
    </div>
  <br /><br />
    <div style="text-align: center;">
      <%= f.submit "SUBMIT", class:"btn" %>
    </div>

  <% end %>
</div>


<script>
  function employeeDetailsChange() {
    $('#gfs_registration_employment_detail_other').val($('#employment_detail_others').val());
  }

  $('#employment_detail_others').change(employeeDetailsChange);

  function emplymentDetailsOtherOnclick() {
    if($('#gfs_registration_employment_detail_other').is(':checked'))
      $('#employment_detail_others_container').css({display: 'block'});
    else
      $('#employment_detail_others_container').css({display: 'none'});
  }
  $("#employment_detail_radios input[type='radio']").click(emplymentDetailsOtherOnclick);




  function citizenOthersChange(){
    $('#gfs_registration_citizen_others').val($('#citizen_others').val());
  }

  $('#citizen_others').change(citizenOthersChange);

  function citizenOtherOnclick(){
    if($('#gfs_registration_citizen_others').is(':checked'))
      $('#citizen_others_container').css({display: 'block'});
    else
      $('#citizen_others_container').css({display: 'none'});
  }

  $("#citizen_other_radios input[type='radio']").click(citizenOtherOnclick);

</script>



